2018-07-17 06:50 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002306NetSurfFramebuffer-specificpublic2018-04-25 18:59
ReporterBrad Conroy 
Assigned To 
SeverityminorReproducibilityalways 
StatusacknowledgedResolutionopen 
Product Version3.4 
Target VersionFixed in Version 
Summary0002306: Automatic backend, width, height and bpp by default
DescriptionThe framebuffer backend uses hardcoded defaults that are not always optimal.
Ex. raspberry pi with a 320x240 display
Steps To Reproducerun netsurf-framebuffer with no additional options
Additional InformationI recalled writing a patch for puppy linux a couple of years ago,
but do not recall if I submitted a finalized patch or not (classes took up my free coding time).

The code I added/fixed/hacked is at:
http://murga-linux.com/puppy/viewtopic.php?p=697996#697996

It uses the "best available" backend to automatically determine the width/height
(plus a fix for the keymap),
I didn't bother with SDL (which on linux uses xcb or framebuffer indirectly anyhow)
sinc then a Wayland backend was also added (which I have not coded for previously)
and I needed to properly account for tray height on the xcb backend

I would be fine with cleaning up this code for netsurf (including the other backends if possible)
but thought that it may be better to make "auto" the default behavior in libnsfb if no specific
parameters are passed (NULL parameters) instead of just defaulting to SDL (even if it isn't built)
My current code use the maximum values (best for framebuffer).
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Brad Conroy

~0001772

Brad Conroy (reporter)

It's been 3 years now. Is this a wontfix or would you like me to submit an updated patch based on the code in the previous link (possibly updated for wayland) with a fallback to SDL.
+Notes

-Issue History
Date Modified Username Field Change
2015-04-12 05:06 Brad Conroy New Issue
2015-04-12 14:18 Vincent Sanders Status new => acknowledged
2015-04-12 14:18 Vincent Sanders Product Version => 3.4
2018-04-25 18:59 Brad Conroy Note Added: 0001772
+Issue History